Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface PopupMenuListener

All Superinterfaces:
  EventListener

    public interface PopupMenuListener

extends EventListener

A popup menu listener

Method Summary
`void` | `popupMenuCanceled(PopupMenuEvent e)` This method is called when the popup menu is canceled
`void` | `popupMenuWillBecomeInvisible(PopupMenuEvent e)` This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time
`void` | `popupMenuWillBecomeVisible(PopupMenuEvent e)` This method is called before the popup menu becomes visible

Method Detail

### popupMenuWillBecomeVisible

    void popupMenuWillBecomeVisible(PopupMenuEvent e)

  This method is called before the popup menu becomes visible

### popupMenuWillBecomeInvisible

    void popupMenuWillBecomeInvisible(PopupMenuEvent e)

  This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time

### popupMenuCanceled

    void popupMenuCanceled(PopupMenuEvent e)

  This method is called when the popup menu is canceled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.